<?php
function main()
{
	global $global,$smarty;
	set_global();
	include_all('admin/class/parent');
	include_all('admin/class');
	set_more_global();
	$path = 'admin/admin.php';
	if($global['url'] != '')
	{
		$path2 = 'admin/'.$global['channel'].'.php';
		if(file_exists($path2))
		{
			$path = $path2;
		}
	}
	include($path);
}
function set_more_global()
{
	global $global;
	$global['admin_id'] = check_admin_login();
	$global['channel'] = get_global('channel','basic');
	$global['mod'] = get_global('mod','basic_info');
	$global['cat'] = get_global('cat',0);
	$global['page'] = get_global('page',1);
	$global['id'] = get_global('id',0);
}
//红头船
?>